import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option


export default class T12 extends Component
{

    name='12'
    desp = "Sub-Message Type"
    pattern = "3!n"
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        return (<Row>
          <Col style={{"minWidth":'150px'}} span={3}> 
                <FormItem
                 required={this.props.status=='M' || mval?'required':null}
                 help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                    <Input maxLength={3} value={value.s1}  placeholder={this.props.desp} style={{'imeMode':'disabled'}} onChange={e=>this.onChange(e.target.value)}/>
                </FormItem>
            </Col> 
        </Row>)
    }
}
